pub mod config;
mod padcontrol;
mod zabbix;

use config::Context;
use zabbix::problems::ZabbixLayout;

fn main() {
    let mut datamatrix = ZabbixLayout::new();

    // load configuration
    let mut context = Context::new();
    zabbix::api::get_zabbix_authtoken(&mut context.cfg);
    //let (mut canvas, mut _poller) = padcontrol::initpad();
    //padcontrol::draw(&mut canvas, &mut datamatrix, &mut context);
    padcontrol::test(&mut context);
}
